@proxima-nexus/openapi 2.3.1 → 2.3.3
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CHANGELOG.md +14 -0
- package/openapi.json +109 -4
- package/openapi.yaml +81 -0
- package/package.json +1 -1
package/CHANGELOG.md
CHANGED
|
@@ -5,6 +5,20 @@ All notable changes to the Proxima Nexus OpenAPI specification are documented in
|
|
|
5
5
|
The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
|
|
6
6
|
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).
|
|
7
7
|
|
|
8
|
+
## [2.3.2] - 2026-03-19
|
|
9
|
+
|
|
10
|
+
### Added
|
|
11
|
+
|
|
12
|
+
- **Geo-aware discovery filters**
|
|
13
|
+
- `GET /user/{userId}/groups`: added optional `latitude` and `longitude` query params for nearby group discovery.
|
|
14
|
+
- `GET /user/{userId}/events`: added optional `latitude` and `longitude` query params for nearby event discovery.
|
|
15
|
+
|
|
16
|
+
### Changed
|
|
17
|
+
|
|
18
|
+
- **Connection types**
|
|
19
|
+
- Added `nearby` to connection `type` enums used by event, group, and event-series connection DTOs/responses and related filters.
|
|
20
|
+
- `GetEventsDto` and group connection-type filters now accept `nearby` as a valid value.
|
|
21
|
+
|
|
8
22
|
## [2.3.1] - 2026-03-04
|
|
9
23
|
|
|
10
24
|
### Changed
|
package/openapi.json
CHANGED
|
@@ -590,6 +590,24 @@
|
|
|
590
590
|
"type": "string"
|
|
591
591
|
}
|
|
592
592
|
},
|
|
593
|
+
{
|
|
594
|
+
"name": "latitude",
|
|
595
|
+
"required": false,
|
|
596
|
+
"in": "query",
|
|
597
|
+
"description": "Requester latitude for nearby group discovery",
|
|
598
|
+
"schema": {
|
|
599
|
+
"type": "string"
|
|
600
|
+
}
|
|
601
|
+
},
|
|
602
|
+
{
|
|
603
|
+
"name": "longitude",
|
|
604
|
+
"required": false,
|
|
605
|
+
"in": "query",
|
|
606
|
+
"description": "Requester longitude for nearby group discovery",
|
|
607
|
+
"schema": {
|
|
608
|
+
"type": "string"
|
|
609
|
+
}
|
|
610
|
+
},
|
|
593
611
|
{
|
|
594
612
|
"name": "X-Proxima-Nexus-Requester-User-Id",
|
|
595
613
|
"in": "header",
|
|
@@ -656,6 +674,24 @@
|
|
|
656
674
|
"type": "string"
|
|
657
675
|
}
|
|
658
676
|
},
|
|
677
|
+
{
|
|
678
|
+
"name": "latitude",
|
|
679
|
+
"required": false,
|
|
680
|
+
"in": "query",
|
|
681
|
+
"description": "Requester latitude for nearby event discovery",
|
|
682
|
+
"schema": {
|
|
683
|
+
"type": "string"
|
|
684
|
+
}
|
|
685
|
+
},
|
|
686
|
+
{
|
|
687
|
+
"name": "longitude",
|
|
688
|
+
"required": false,
|
|
689
|
+
"in": "query",
|
|
690
|
+
"description": "Requester longitude for nearby event discovery",
|
|
691
|
+
"schema": {
|
|
692
|
+
"type": "string"
|
|
693
|
+
}
|
|
694
|
+
},
|
|
659
695
|
{
|
|
660
696
|
"name": "X-Proxima-Nexus-Requester-User-Id",
|
|
661
697
|
"in": "header",
|
|
@@ -1170,7 +1206,8 @@
|
|
|
1170
1206
|
"attendee",
|
|
1171
1207
|
"admin",
|
|
1172
1208
|
"owner",
|
|
1173
|
-
"associated_group"
|
|
1209
|
+
"associated_group",
|
|
1210
|
+
"nearby"
|
|
1174
1211
|
]
|
|
1175
1212
|
}
|
|
1176
1213
|
}
|
|
@@ -1759,7 +1796,8 @@
|
|
|
1759
1796
|
"enum": [
|
|
1760
1797
|
"member",
|
|
1761
1798
|
"admin",
|
|
1762
|
-
"owner"
|
|
1799
|
+
"owner",
|
|
1800
|
+
"nearby"
|
|
1763
1801
|
]
|
|
1764
1802
|
}
|
|
1765
1803
|
}
|
|
@@ -2392,6 +2430,7 @@
|
|
|
2392
2430
|
"admin",
|
|
2393
2431
|
"owner",
|
|
2394
2432
|
"associated_group",
|
|
2433
|
+
"nearby",
|
|
2395
2434
|
"member",
|
|
2396
2435
|
"friend",
|
|
2397
2436
|
"blocked",
|
|
@@ -2590,6 +2629,7 @@
|
|
|
2590
2629
|
"admin",
|
|
2591
2630
|
"owner",
|
|
2592
2631
|
"associated_group",
|
|
2632
|
+
"nearby",
|
|
2593
2633
|
"member",
|
|
2594
2634
|
"friend",
|
|
2595
2635
|
"blocked",
|
|
@@ -2658,6 +2698,7 @@
|
|
|
2658
2698
|
"admin",
|
|
2659
2699
|
"owner",
|
|
2660
2700
|
"associated_group",
|
|
2701
|
+
"nearby",
|
|
2661
2702
|
"member",
|
|
2662
2703
|
"friend",
|
|
2663
2704
|
"blocked",
|
|
@@ -2707,6 +2748,7 @@
|
|
|
2707
2748
|
"admin",
|
|
2708
2749
|
"owner",
|
|
2709
2750
|
"associated_group",
|
|
2751
|
+
"nearby",
|
|
2710
2752
|
"member",
|
|
2711
2753
|
"friend",
|
|
2712
2754
|
"blocked",
|
|
@@ -2806,6 +2848,16 @@
|
|
|
2806
2848
|
"type": "number",
|
|
2807
2849
|
"description": "Maximum number of attendees allowed (null = unlimited)",
|
|
2808
2850
|
"example": 100
|
|
2851
|
+
},
|
|
2852
|
+
"registrationFeeAmount": {
|
|
2853
|
+
"type": "number",
|
|
2854
|
+
"description": "Registration fee amount in minor units (e.g. cents). Must be set together with registrationFeeCurrency.",
|
|
2855
|
+
"example": 500
|
|
2856
|
+
},
|
|
2857
|
+
"registrationFeeCurrency": {
|
|
2858
|
+
"type": "string",
|
|
2859
|
+
"description": "ISO 4217 currency code, lowercase (e.g. eur). Must be set together with registrationFeeAmount.",
|
|
2860
|
+
"example": "eur"
|
|
2809
2861
|
}
|
|
2810
2862
|
},
|
|
2811
2863
|
"required": [
|
|
@@ -2915,6 +2967,16 @@
|
|
|
2915
2967
|
"type": "string",
|
|
2916
2968
|
"description": "ID of the event series this instance belongs to, if any",
|
|
2917
2969
|
"example": "series-weekly-standup"
|
|
2970
|
+
},
|
|
2971
|
+
"registrationFeeAmount": {
|
|
2972
|
+
"type": "number",
|
|
2973
|
+
"description": "Registration fee amount in minor units (e.g. cents)",
|
|
2974
|
+
"example": 500
|
|
2975
|
+
},
|
|
2976
|
+
"registrationFeeCurrency": {
|
|
2977
|
+
"type": "string",
|
|
2978
|
+
"description": "ISO 4217 currency code, lowercase (e.g. eur)",
|
|
2979
|
+
"example": "eur"
|
|
2918
2980
|
}
|
|
2919
2981
|
},
|
|
2920
2982
|
"required": [
|
|
@@ -2984,6 +3046,16 @@
|
|
|
2984
3046
|
"type": "number",
|
|
2985
3047
|
"description": "Maximum number of attendees allowed (null = unlimited)",
|
|
2986
3048
|
"example": 100
|
|
3049
|
+
},
|
|
3050
|
+
"registrationFeeAmount": {
|
|
3051
|
+
"type": "object",
|
|
3052
|
+
"description": "Registration fee amount in minor units (e.g. cents). Set to null to remove the fee.",
|
|
3053
|
+
"example": 500
|
|
3054
|
+
},
|
|
3055
|
+
"registrationFeeCurrency": {
|
|
3056
|
+
"type": "object",
|
|
3057
|
+
"description": "ISO 4217 currency code, lowercase (e.g. eur). Set to null to remove the fee.",
|
|
3058
|
+
"example": "eur"
|
|
2987
3059
|
}
|
|
2988
3060
|
}
|
|
2989
3061
|
},
|
|
@@ -2997,7 +3069,8 @@
|
|
|
2997
3069
|
"attendee",
|
|
2998
3070
|
"admin",
|
|
2999
3071
|
"owner",
|
|
3000
|
-
"associated_group"
|
|
3072
|
+
"associated_group",
|
|
3073
|
+
"nearby"
|
|
3001
3074
|
]
|
|
3002
3075
|
}
|
|
3003
3076
|
},
|
|
@@ -3239,7 +3312,8 @@
|
|
|
3239
3312
|
"enum": [
|
|
3240
3313
|
"member",
|
|
3241
3314
|
"admin",
|
|
3242
|
-
"owner"
|
|
3315
|
+
"owner",
|
|
3316
|
+
"nearby"
|
|
3243
3317
|
]
|
|
3244
3318
|
}
|
|
3245
3319
|
},
|
|
@@ -3268,6 +3342,7 @@
|
|
|
3268
3342
|
"admin",
|
|
3269
3343
|
"owner",
|
|
3270
3344
|
"associated_group",
|
|
3345
|
+
"nearby",
|
|
3271
3346
|
"member",
|
|
3272
3347
|
"friend",
|
|
3273
3348
|
"blocked",
|
|
@@ -3401,6 +3476,16 @@
|
|
|
3401
3476
|
"type": "number",
|
|
3402
3477
|
"description": "Maximum number of attendees per event instance (null = unlimited)",
|
|
3403
3478
|
"example": 50
|
|
3479
|
+
},
|
|
3480
|
+
"registrationFeeAmount": {
|
|
3481
|
+
"type": "number",
|
|
3482
|
+
"description": "Registration fee amount in minor units (e.g. cents). Must be set together with registrationFeeCurrency.",
|
|
3483
|
+
"example": 500
|
|
3484
|
+
},
|
|
3485
|
+
"registrationFeeCurrency": {
|
|
3486
|
+
"type": "string",
|
|
3487
|
+
"description": "ISO 4217 currency code, lowercase (e.g. eur). Must be set together with registrationFeeAmount.",
|
|
3488
|
+
"example": "eur"
|
|
3404
3489
|
}
|
|
3405
3490
|
},
|
|
3406
3491
|
"required": [
|
|
@@ -3518,6 +3603,16 @@
|
|
|
3518
3603
|
"type": "number",
|
|
3519
3604
|
"description": "Maximum number of attendees per event instance",
|
|
3520
3605
|
"example": 50
|
|
3606
|
+
},
|
|
3607
|
+
"registrationFeeAmount": {
|
|
3608
|
+
"type": "number",
|
|
3609
|
+
"description": "Registration fee amount in minor units (e.g. cents)",
|
|
3610
|
+
"example": 500
|
|
3611
|
+
},
|
|
3612
|
+
"registrationFeeCurrency": {
|
|
3613
|
+
"type": "string",
|
|
3614
|
+
"description": "ISO 4217 currency code, lowercase (e.g. eur)",
|
|
3615
|
+
"example": "eur"
|
|
3521
3616
|
}
|
|
3522
3617
|
},
|
|
3523
3618
|
"required": [
|
|
@@ -3580,6 +3675,16 @@
|
|
|
3580
3675
|
"type": "number",
|
|
3581
3676
|
"description": "Maximum number of attendees per event instance (null = unlimited)",
|
|
3582
3677
|
"example": 50
|
|
3678
|
+
},
|
|
3679
|
+
"registrationFeeAmount": {
|
|
3680
|
+
"type": "object",
|
|
3681
|
+
"description": "Registration fee amount in minor units (e.g. cents). Set to null to remove the fee.",
|
|
3682
|
+
"example": 500
|
|
3683
|
+
},
|
|
3684
|
+
"registrationFeeCurrency": {
|
|
3685
|
+
"type": "object",
|
|
3686
|
+
"description": "ISO 4217 currency code, lowercase (e.g. eur). Set to null to remove the fee.",
|
|
3687
|
+
"example": "eur"
|
|
3583
3688
|
}
|
|
3584
3689
|
}
|
|
3585
3690
|
},
|
package/openapi.yaml
CHANGED
|
@@ -394,6 +394,18 @@ paths:
|
|
|
394
394
|
in: path
|
|
395
395
|
schema:
|
|
396
396
|
type: string
|
|
397
|
+
- name: latitude
|
|
398
|
+
required: false
|
|
399
|
+
in: query
|
|
400
|
+
description: Requester latitude for nearby group discovery
|
|
401
|
+
schema:
|
|
402
|
+
type: string
|
|
403
|
+
- name: longitude
|
|
404
|
+
required: false
|
|
405
|
+
in: query
|
|
406
|
+
description: Requester longitude for nearby group discovery
|
|
407
|
+
schema:
|
|
408
|
+
type: string
|
|
397
409
|
- name: X-Proxima-Nexus-Requester-User-Id
|
|
398
410
|
in: header
|
|
399
411
|
description: >-
|
|
@@ -437,6 +449,18 @@ paths:
|
|
|
437
449
|
description: ISO 8601 end of range (events starting before this time)
|
|
438
450
|
schema:
|
|
439
451
|
type: string
|
|
452
|
+
- name: latitude
|
|
453
|
+
required: false
|
|
454
|
+
in: query
|
|
455
|
+
description: Requester latitude for nearby event discovery
|
|
456
|
+
schema:
|
|
457
|
+
type: string
|
|
458
|
+
- name: longitude
|
|
459
|
+
required: false
|
|
460
|
+
in: query
|
|
461
|
+
description: Requester longitude for nearby event discovery
|
|
462
|
+
schema:
|
|
463
|
+
type: string
|
|
440
464
|
- name: X-Proxima-Nexus-Requester-User-Id
|
|
441
465
|
in: header
|
|
442
466
|
description: >-
|
|
@@ -772,6 +796,7 @@ paths:
|
|
|
772
796
|
- admin
|
|
773
797
|
- owner
|
|
774
798
|
- associated_group
|
|
799
|
+
- nearby
|
|
775
800
|
- name: X-Proxima-Nexus-Requester-User-Id
|
|
776
801
|
in: header
|
|
777
802
|
description: >-
|
|
@@ -1151,6 +1176,7 @@ paths:
|
|
|
1151
1176
|
- member
|
|
1152
1177
|
- admin
|
|
1153
1178
|
- owner
|
|
1179
|
+
- nearby
|
|
1154
1180
|
- name: X-Proxima-Nexus-Requester-User-Id
|
|
1155
1181
|
in: header
|
|
1156
1182
|
description: >-
|
|
@@ -1566,6 +1592,7 @@ components:
|
|
|
1566
1592
|
- admin
|
|
1567
1593
|
- owner
|
|
1568
1594
|
- associated_group
|
|
1595
|
+
- nearby
|
|
1569
1596
|
- member
|
|
1570
1597
|
- friend
|
|
1571
1598
|
- blocked
|
|
@@ -1711,6 +1738,7 @@ components:
|
|
|
1711
1738
|
- admin
|
|
1712
1739
|
- owner
|
|
1713
1740
|
- associated_group
|
|
1741
|
+
- nearby
|
|
1714
1742
|
- member
|
|
1715
1743
|
- friend
|
|
1716
1744
|
- blocked
|
|
@@ -1763,6 +1791,7 @@ components:
|
|
|
1763
1791
|
- admin
|
|
1764
1792
|
- owner
|
|
1765
1793
|
- associated_group
|
|
1794
|
+
- nearby
|
|
1766
1795
|
- member
|
|
1767
1796
|
- friend
|
|
1768
1797
|
- blocked
|
|
@@ -1802,6 +1831,7 @@ components:
|
|
|
1802
1831
|
- admin
|
|
1803
1832
|
- owner
|
|
1804
1833
|
- associated_group
|
|
1834
|
+
- nearby
|
|
1805
1835
|
- member
|
|
1806
1836
|
- friend
|
|
1807
1837
|
- blocked
|
|
@@ -1877,6 +1907,14 @@ components:
|
|
|
1877
1907
|
type: number
|
|
1878
1908
|
description: Maximum number of attendees allowed (null = unlimited)
|
|
1879
1909
|
example: 100
|
|
1910
|
+
registrationFeeAmount:
|
|
1911
|
+
type: number
|
|
1912
|
+
description: Registration fee amount in minor units (e.g. cents). Must be set together with registrationFeeCurrency.
|
|
1913
|
+
example: 500
|
|
1914
|
+
registrationFeeCurrency:
|
|
1915
|
+
type: string
|
|
1916
|
+
description: ISO 4217 currency code, lowercase (e.g. eur). Must be set together with registrationFeeAmount.
|
|
1917
|
+
example: eur
|
|
1880
1918
|
required:
|
|
1881
1919
|
- displayName
|
|
1882
1920
|
- visibility
|
|
@@ -1958,6 +1996,14 @@ components:
|
|
|
1958
1996
|
type: string
|
|
1959
1997
|
description: ID of the event series this instance belongs to, if any
|
|
1960
1998
|
example: series-weekly-standup
|
|
1999
|
+
registrationFeeAmount:
|
|
2000
|
+
type: number
|
|
2001
|
+
description: Registration fee amount in minor units (e.g. cents)
|
|
2002
|
+
example: 500
|
|
2003
|
+
registrationFeeCurrency:
|
|
2004
|
+
type: string
|
|
2005
|
+
description: ISO 4217 currency code, lowercase (e.g. eur)
|
|
2006
|
+
example: eur
|
|
1961
2007
|
required:
|
|
1962
2008
|
- startTime
|
|
1963
2009
|
- endTime
|
|
@@ -2009,6 +2055,14 @@ components:
|
|
|
2009
2055
|
type: number
|
|
2010
2056
|
description: Maximum number of attendees allowed (null = unlimited)
|
|
2011
2057
|
example: 100
|
|
2058
|
+
registrationFeeAmount:
|
|
2059
|
+
type: object
|
|
2060
|
+
description: Registration fee amount in minor units (e.g. cents). Set to null to remove the fee.
|
|
2061
|
+
example: 500
|
|
2062
|
+
registrationFeeCurrency:
|
|
2063
|
+
type: object
|
|
2064
|
+
description: ISO 4217 currency code, lowercase (e.g. eur). Set to null to remove the fee.
|
|
2065
|
+
example: eur
|
|
2012
2066
|
MutateEventEntityConnectionDto:
|
|
2013
2067
|
type: object
|
|
2014
2068
|
properties:
|
|
@@ -2020,6 +2074,7 @@ components:
|
|
|
2020
2074
|
- admin
|
|
2021
2075
|
- owner
|
|
2022
2076
|
- associated_group
|
|
2077
|
+
- nearby
|
|
2023
2078
|
required:
|
|
2024
2079
|
- type
|
|
2025
2080
|
GetEventsDto:
|
|
@@ -2194,6 +2249,7 @@ components:
|
|
|
2194
2249
|
- member
|
|
2195
2250
|
- admin
|
|
2196
2251
|
- owner
|
|
2252
|
+
- nearby
|
|
2197
2253
|
required:
|
|
2198
2254
|
- type
|
|
2199
2255
|
EventSeriesEntityConnectionDto:
|
|
@@ -2215,6 +2271,7 @@ components:
|
|
|
2215
2271
|
- admin
|
|
2216
2272
|
- owner
|
|
2217
2273
|
- associated_group
|
|
2274
|
+
- nearby
|
|
2218
2275
|
- member
|
|
2219
2276
|
- friend
|
|
2220
2277
|
- blocked
|
|
@@ -2315,6 +2372,14 @@ components:
|
|
|
2315
2372
|
type: number
|
|
2316
2373
|
description: Maximum number of attendees per event instance (null = unlimited)
|
|
2317
2374
|
example: 50
|
|
2375
|
+
registrationFeeAmount:
|
|
2376
|
+
type: number
|
|
2377
|
+
description: Registration fee amount in minor units (e.g. cents). Must be set together with registrationFeeCurrency.
|
|
2378
|
+
example: 500
|
|
2379
|
+
registrationFeeCurrency:
|
|
2380
|
+
type: string
|
|
2381
|
+
description: ISO 4217 currency code, lowercase (e.g. eur). Must be set together with registrationFeeAmount.
|
|
2382
|
+
example: eur
|
|
2318
2383
|
required:
|
|
2319
2384
|
- displayName
|
|
2320
2385
|
- visibility
|
|
@@ -2403,6 +2468,14 @@ components:
|
|
|
2403
2468
|
type: number
|
|
2404
2469
|
description: Maximum number of attendees per event instance
|
|
2405
2470
|
example: 50
|
|
2471
|
+
registrationFeeAmount:
|
|
2472
|
+
type: number
|
|
2473
|
+
description: Registration fee amount in minor units (e.g. cents)
|
|
2474
|
+
example: 500
|
|
2475
|
+
registrationFeeCurrency:
|
|
2476
|
+
type: string
|
|
2477
|
+
description: ISO 4217 currency code, lowercase (e.g. eur)
|
|
2478
|
+
example: eur
|
|
2406
2479
|
required:
|
|
2407
2480
|
- type
|
|
2408
2481
|
- rrule
|
|
@@ -2449,6 +2522,14 @@ components:
|
|
|
2449
2522
|
type: number
|
|
2450
2523
|
description: Maximum number of attendees per event instance (null = unlimited)
|
|
2451
2524
|
example: 50
|
|
2525
|
+
registrationFeeAmount:
|
|
2526
|
+
type: object
|
|
2527
|
+
description: Registration fee amount in minor units (e.g. cents). Set to null to remove the fee.
|
|
2528
|
+
example: 500
|
|
2529
|
+
registrationFeeCurrency:
|
|
2530
|
+
type: object
|
|
2531
|
+
description: ISO 4217 currency code, lowercase (e.g. eur). Set to null to remove the fee.
|
|
2532
|
+
example: eur
|
|
2452
2533
|
GetEventSeriesDto:
|
|
2453
2534
|
type: object
|
|
2454
2535
|
properties:
|